
/* eslint-disable no-alert, no-console ,  no-debugger */
import { doFetchOrderHistory } from '@/services/product.service';
import { getField, updateField } from 'vuex-map-fields';
import humps from 'lodash-humps';

export const orderlist = {
    namespaced: true,
    state: {
        inProgress: true,
        OrderHistory: {},

        customerId: "",
        orderNumber: "",
        createdFrom: "",
        createdTo: "",
        // purchaseOrderNumber: "",

    },
    getters: {
        getField,

    },
    mutations: {
        updateField,
        inProgress(state, yesOrNo) {
            state.inProgress = yesOrNo
        },
        setOrderHistory(state, orderhistorydata) {
            state.OrderHistory = orderhistorydata
        },
    },

    actions: {
        fetchOrderList: async ({ state, commit }, customerId) => {
            debugger

            try {
                commit('inProgress', true);

                let createdTo = state.createdTo
                if(createdTo){
                    // let  date = new Date(Date.now()+(3600 * 1000 *24));
                    // console.log(date)
                    // let To= date.getFullYear()+"-"+date.getDay()+"-"+date.getDate()
                    // console.log(To+"too")
                   
                    // console.log(state.createdTo)
                    
                    // // console.log( createdTo.setDate(createdTo.getDate() + 1),"full value")
                    // // console.log( state.createdTo,"full value")
                    let  createdTo = new Date();

                   createdTo.setDate(createdTo.getDate() + 1);
                   
                   console.log( createdTo.setDate(createdTo.getDate() + 1),"full value")
                }
                else{
                    let  createdTo = new Date();
                    console.log(createdTo.setDate(createdTo.getDate() + 1)," null value")
                   
                    createdTo.setDate(createdTo.getDate() + 1);
                    
                }

                let OrderHistory = await doFetchOrderHistory({
                    customerId: customerId,
                    incrementId: state.orderNumber,
                    createdAt: state.createdFrom,
                    createdTo: state.createdTo
                });
                if (OrderHistory) {
                    commit('inProgress', false);
                    commit('setOrderHistory', humps(OrderHistory));
                }
            }
            catch (error) {
                commit('inProgress', false);
                throw error
            }
        },
        fetchReset: async ({ state, commit }, customerId) => {
            try {
                state.orderNumber = "";
                state.createdFrom = "";
                state.createdTo = "";
                commit('inProgress', true);
                let orderHistory = await doFetchOrderHistory({ customerId: customerId, incrementId: state.orderNumber,createdAt: state.createdFrom,createdTo: state.createdTo });

                if (orderHistory) {
                    commit('inProgress', false);
                    commit('setOrderHistory', humps(orderHistory));
                }
            }
            catch (error) {
                commit('inProgress', false);
                throw error
            }
        },
    }
}




